Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 16-02-2017 22:42:24

obelix1502
Membre
Lieu : Frameries, Hainaut, Belgique
Distrib. : Debian stretch - XFCE
Inscription : 05-05-2016
Site Web

[Résolu] Version e2fsck et partition

Bonsoir à tous.

Je possède un SSD de 256 GO.

Sur ce SSD se trouvent toutes mes partitions racines ainsi que ma partition boot/EFI.

Ce disque se nomme sdd.

Je veux réduire ma partition sdd4. J'utilise donc Gparted qui au début n'est pas récalcitrant. lol

Mais, il me renvoie l'erreur :

e2fsck 1.42.13 (14-05-2015) a une (des) fonctionnalités non supportées : metadata_csum
e2fsck : veuillez obtenir une version plus récente



Ben pour Ubuntu, j'en trouve pas. J'ai bien essayé de compiler la version de la 16.10, mais la compilation ne fonctionne pas sous 16.04.1

De plus, si je veux faire une vérification du disque afin de trouver des erreurs possibles, si je me rappelle, il faut qu'il soit démonté. Or, ce sont toutes mes partitions /.
Il faut donc que je le fasse en live, mais comment faire si je n'ai pas la bonne version de e2fsck ? En effet les anciennes versions de celui-ci (d'après mes recherches sur le net) ne prennent pas en charge metadata_csum.

J'avais d'ailleurs il y a quelques semaines voulu faire une image de mes disques avec clonezilla qui m'a renvoyé la même erreur uniquement pour cette partition sdd4.

Pouvez-vous m'aider ou dois-je formater cette partition qui comprend quand même la / du système (Debian Stretch).

Dernière modification par obelix1502 (18-02-2017 14:15:59)


OS utilisés : Debian Stetch , Ubuntu Studio 16.04.1, LinuxMint 18.1, manjaro 16.10.3.
Carte graphique : Nvidia 750 GTX 16 Go Ram Carte mère ASUS HB1M-C
Voir le tuto : Trop cool d'indiquer son installation dans son profil !

Hors ligne

#2 18-02-2017 14:15:30

obelix1502
Membre
Lieu : Frameries, Hainaut, Belgique
Distrib. : Debian stretch - XFCE
Inscription : 05-05-2016
Site Web

Re : [Résolu] Version e2fsck et partition

Bon, ben j'ai résolu le problème.

Comme il était impossible de scanner avec ce programme ma propre racine Debian et que j'avais fait une netinstall, le programme e2fsck 1.43 était inaccessible.

J'ai donc pris une Live Manjaro et réparé ma / Debian car Manjaro possède nativement ce programme dans une version plus récente.

OS utilisés : Debian Stetch , Ubuntu Studio 16.04.1, LinuxMint 18.1, manjaro 16.10.3.
Carte graphique : Nvidia 750 GTX 16 Go Ram Carte mère ASUS HB1M-C
Voir le tuto : Trop cool d'indiquer son installation dans son profil !

Hors ligne

Pied de page des forums